HXUNPIPE(1)

NAME
hxunpipe - convert output of hxpipe back to XML format

SYNOPSIS
hxunpipe [ -b ] [ file-or-URL ]

DESCRIPTION
hxunpipe takes the output of hxpipe(1) (or of onsgmls(1)) and turns it back into XML/SGML mark-up.

OPTIONS
The following options are supported:

-b  Normally, hxunpipe assumes the input was made by hxpipe, i.e., the input may contain character entities but will never contain SGML/XML delimiters (<>&"') that need to be escaped. When the input was made by (o)nsgmls, however, the entities will have been expanded and the input may contain SGML/XML delimiters. The option -b causes hxunpipe to look for those delimiters and escape them: "<" as "&lt;", ">" as "&gt;", "&" as "&amp;", """ as "&quot;" and "'" as "&apos;".

OPERANDS
The following operand is supported:

file-or-URL
    The name or URL of an HTML file. If absent, standard input is read instead.

EXIT STATUS
The following exit values are returned:

0   Successful completion.

> 0 An error occurred in the input.

ENVIRONMENT
To use a proxy to retrieve remote files, set the environment variables http_proxy and ftp_proxy. E.g., http_proxy="http://localhost:8080/"

BUGS

Not all syntax errors in the input are recognized.

hxunpipe can currently only retrieve remote files over HTTP. It doesn't handle password-protected files, nor files whose content depends on HTTP "cookies."

SEE ALSO
hxpipe(1), onsgmls(1).